#ifndef SAMPLEDECODER_H
#define SAMPLEDECODER_H

#include <list>
#include <vector>
#include <algorithm>

class SolutionDecoder {
public:
	SolutionDecoder();
	~SolutionDecoder();

	double soludecode(const int id, const std::vector< double >& chromosome, const std::vector<std::vector<double>> &F, const int solucriterion) const;

private:
};

class ScenarioDecoder {
public:
	ScenarioDecoder();
	~ScenarioDecoder();

	double scendecode(const int id, const std::vector<double> &maxD) const;

private:
};

std::vector<std::vector<double>> matrixF(int MAX_T, std::vector<std::vector<double>> popx, std::vector<std::vector<double>> pops);
std::vector<std::vector<double>> neighDist(int MAX_T, const std::vector<std::vector<double>> &F);
#endif
